import { base } from "../base.js";
import { blockESLint } from "./blockESLint.js";

//#region src/blocks/blockESLintComments.ts
const blockESLintComments = base.createBlock({
	about: { name: "ESLint Comments Plugin" },
	produce() {
		return { addons: [blockESLint({
			extensions: ["comments.recommended"],
			imports: [{
				source: "@eslint-community/eslint-plugin-eslint-comments/configs",
				specifier: "comments"
			}]
		})] };
	}
});

//#endregion
export { blockESLintComments };
//# sourceMappingURL=blockESLintComments.js.map