import { base } from "../base.js";
import { blockESLint } from "./blockESLint.js";

//#region src/blocks/blockESLintJSDoc.ts
const blockESLintJSDoc = base.createBlock({
	about: { name: "ESLint JSDoc Plugin" },
	produce() {
		return { addons: [blockESLint({
			extensions: [
				"jsdoc.configs[\"flat/contents-typescript-error\"]",
				"jsdoc.configs[\"flat/logical-typescript-error\"]",
				"jsdoc.configs[\"flat/stylistic-typescript-error\"]"
			],
			imports: [{
				source: "eslint-plugin-jsdoc",
				specifier: "jsdoc"
			}]
		})] };
	}
});

//#endregion
export { blockESLintJSDoc };
//# sourceMappingURL=blockESLintJSDoc.js.map