import { base } from "../base.js";
import { blockESLint } from "./blockESLint.js";

//#region src/blocks/blockESLintMarkdown.ts
const blockESLintMarkdown = base.createBlock({
	about: { name: "ESLint Markdown Plugin" },
	produce() {
		return { addons: [blockESLint({
			extensions: ["markdown.configs.recommended"],
			imports: [{
				source: "eslint-plugin-markdown",
				specifier: "markdown",
				types: true
			}]
		})] };
	}
});

//#endregion
export { blockESLintMarkdown };
//# sourceMappingURL=blockESLintMarkdown.js.map