import { base } from "../base.js";
import { blockESLint } from "./blockESLint.js";

//#region src/blocks/blockESLintRegexp.ts
const blockESLintRegexp = base.createBlock({
	about: { name: "ESLint Regexp Plugin" },
	produce() {
		return { addons: [blockESLint({
			extensions: [`regexp.configs["flat/recommended"]`],
			imports: [{
				source: "eslint-plugin-regexp",
				specifier: "* as regexp"
			}]
		})] };
	}
});

//#endregion
export { blockESLintRegexp };
//# sourceMappingURL=blockESLintRegexp.js.map