import { blockGitHubActionsCI } from "./blockGitHubActionsCI.js";
import { blockAreTheTypesWrong } from "./blockAreTheTypesWrong.js";
import { blockPackageJson } from "./blockPackageJson.js";
import { blockCTATransitions } from "./blockCTATransitions.js";
import { blockDevelopmentDocs } from "./blockDevelopmentDocs.js";
import { blockVSCode } from "./blockVSCode.js";
import { blockCSpell } from "./blockCSpell.js";
import { blockESLintMoreStyling } from "./blockESLintMoreStyling.js";
import { blockESLint } from "./blockESLint.js";
import { blockREADME } from "./blockREADME.js";
import { blockGitignore } from "./blockGitignore.js";
import { blockKnip } from "./blockKnip.js";
import { blockPrettier } from "./blockPrettier.js";
import { blockMarkdownlint } from "./blockMarkdownlint.js";
import { blockReleaseIt } from "./blockReleaseIt.js";
import { blockTSDown } from "./blockTSDown.js";
import { blockVitest } from "./blockVitest.js";
import { blockESLintPlugin } from "./blockESLintPlugin.js";
import { blockNcc } from "./blockNcc.js";
import { blockWebExt } from "./blockWebExt.js";
import { blockAllContributors } from "./blockAllContributors.js";
import { blockCodecov } from "./blockCodecov.js";
import { blockFunding } from "./blockFunding.js";
import { blockOctoGuide } from "./blockOctoGuide.js";
import { blockContributingDocs } from "./blockContributingDocs.js";
import { blockContributorCovenant } from "./blockContributorCovenant.js";
import { blockGitHubIssueTemplates } from "./blockGitHubIssueTemplates.js";
import { blockGitHubPRTemplate } from "./blockGitHubPRTemplate.js";
import { blockMain } from "./blockMain.js";
import { blockMITLicense } from "./blockMITLicense.js";
import { blockSecurityDocs } from "./blockSecurityDocs.js";
import { blockTemplatedWith } from "./blockTemplatedWith.js";
import { blockTypeScript } from "./blockTypeScript.js";
import { blockESLintComments } from "./blockESLintComments.js";
import { blockESLintJSDoc } from "./blockESLintJSDoc.js";
import { blockESLintJSONC } from "./blockESLintJSONC.js";
import { blockESLintMarkdown } from "./blockESLintMarkdown.js";
import { blockESLintNode } from "./blockESLintNode.js";
import { blockESLintPackageJson } from "./blockESLintPackageJson.js";
import { blockESLintPerfectionist } from "./blockESLintPerfectionist.js";
import { blockESLintRegexp } from "./blockESLintRegexp.js";
import { blockESLintYML } from "./blockESLintYML.js";
import { blockNvmrc } from "./blockNvmrc.js";
import { blockOctoGuideStrict } from "./blockOctoGuideStrict.js";
import { blockPnpmDedupe } from "./blockPnpmDedupe.js";
import { blockPrettierPluginCurly } from "./blockPrettierPluginCurly.js";
import { blockPrettierPluginPackageJson } from "./blockPrettierPluginPackageJson.js";
import { blockPrettierPluginSh } from "./blockPrettierPluginSh.js";
import { blockRenovate } from "./blockRenovate.js";

//#region src/blocks/index.ts
const blocks = {
	blockAllContributors,
	blockAreTheTypesWrong,
	blockCodecov,
	blockContributingDocs,
	blockContributorCovenant,
	blockCSpell,
	blockDevelopmentDocs,
	blockESLint,
	blockESLintComments,
	blockESLintJSDoc,
	blockESLintJSONC,
	blockESLintMarkdown,
	blockESLintMoreStyling,
	blockESLintNode,
	blockESLintPackageJson,
	blockESLintPerfectionist,
	blockESLintPlugin,
	blockESLintRegexp,
	blockESLintYML,
	blockFunding,
	blockGitHubActionsCI,
	blockGitHubIssueTemplates,
	blockGitHubPRTemplate,
	blockGitignore,
	blockKnip,
	blockMain,
	blockMarkdownlint,
	blockMITLicense,
	blockNcc,
	blockNvmrc,
	blockOctoGuide,
	blockOctoGuideStrict,
	blockPackageJson,
	blockPnpmDedupe,
	blockPrettier,
	blockPrettierPluginCurly,
	blockPrettierPluginPackageJson,
	blockPrettierPluginSh,
	blockREADME,
	blockReleaseIt,
	blockRenovate,
	blockSecurityDocs,
	blockTemplatedWith,
	blockTSDown,
	blockTypeScript,
	blockVitest,
	blockVSCode,
	blockWebExt
};

//#endregion
export { blockAllContributors, blockAreTheTypesWrong, blockCSpell, blockCTATransitions, blockCodecov, blockContributingDocs, blockContributorCovenant, blockDevelopmentDocs, blockESLint, blockESLintComments, blockESLintJSDoc, blockESLintJSONC, blockESLintMarkdown, blockESLintMoreStyling, blockESLintNode, blockESLintPackageJson, blockESLintPerfectionist, blockESLintPlugin, blockESLintRegexp, blockESLintYML, blockFunding, blockGitHubActionsCI, blockGitHubIssueTemplates, blockGitHubPRTemplate, blockGitignore, blockKnip, blockMITLicense, blockMain, blockMarkdownlint, blockNcc, blockNvmrc, blockOctoGuide, blockOctoGuideStrict, blockPackageJson, blockPnpmDedupe, blockPrettier, blockPrettierPluginCurly, blockPrettierPluginPackageJson, blockPrettierPluginSh, blockREADME, blockReleaseIt, blockRenovate, blockSecurityDocs, blockTSDown, blockTemplatedWith, blockTypeScript, blockVSCode, blockVitest, blockWebExt, blocks };
//# sourceMappingURL=index.js.map