import { intakeFile } from "./intakeFile.js";
import jsYaml from "js-yaml";

//#region src/blocks/intake/intakeFileAsYaml.ts
function intakeFileAsYaml(files, filePath) {
	const file = intakeFile(files, filePath);
	try {
		return file && jsYaml.load(file[0]);
	} catch {
		return void 0;
	}
}

//#endregion
export { intakeFileAsYaml };
//# sourceMappingURL=intakeFileAsYaml.js.map