import { swallowError } from "../utils/swallowError.js";
import { inputFromFile } from "input-from-file";

//#region src/options/readFunding.ts
async function readFunding(take) {
	return swallowError(await take(inputFromFile, { filePath: ".github/FUNDING.yml" }))?.split(":")[1]?.trim();
}

//#endregion
export { readFunding };
//# sourceMappingURL=readFunding.js.map