import { intakeFile } from "./intakeFile.js";
import JSON5 from "json5";

//#region src/blocks/intake/intakeFileAsJson.ts
function intakeFileAsJson(files, filePath) {
	const file = intakeFile(files, filePath);
	try {
		return file && JSON5.parse(file[0]);
	} catch {
		return void 0;
	}
}

//#endregion
export { intakeFileAsJson };
//# sourceMappingURL=intakeFileAsJson.js.map