import { base } from "./base.js";
import { blockGitHubActionsCI } from "./blocks/blockGitHubActionsCI.js";
import { blockAreTheTypesWrong } from "./blocks/blockAreTheTypesWrong.js";
import { blockPackageJson } from "./blocks/blockPackageJson.js";
import { blockCTATransitions } from "./blocks/blockCTATransitions.js";
import { blockDevelopmentDocs } from "./blocks/blockDevelopmentDocs.js";
import { blockVSCode } from "./blocks/blockVSCode.js";
import { blockCSpell } from "./blocks/blockCSpell.js";
import { blockESLintMoreStyling } from "./blocks/blockESLintMoreStyling.js";
import { blockESLint } from "./blocks/blockESLint.js";
import { blockREADME } from "./blocks/blockREADME.js";
import { blockGitignore } from "./blocks/blockGitignore.js";
import { blockKnip } from "./blocks/blockKnip.js";
import { blockPrettier } from "./blocks/blockPrettier.js";
import { blockMarkdownlint } from "./blocks/blockMarkdownlint.js";
import { blockReleaseIt } from "./blocks/blockReleaseIt.js";
import { blockTSDown } from "./blocks/blockTSDown.js";
import { blockVitest } from "./blocks/blockVitest.js";
import { blockESLintPlugin } from "./blocks/blockESLintPlugin.js";
import { blockNcc } from "./blocks/blockNcc.js";
import { blockWebExt } from "./blocks/blockWebExt.js";
import { blockAllContributors } from "./blocks/blockAllContributors.js";
import { blockCodecov } from "./blocks/blockCodecov.js";
import { blockFunding } from "./blocks/blockFunding.js";
import { blockOctoGuide } from "./blocks/blockOctoGuide.js";
import { blockContributingDocs } from "./blocks/blockContributingDocs.js";
import { blockContributorCovenant } from "./blocks/blockContributorCovenant.js";
import { blockGitHubIssueTemplates } from "./blocks/blockGitHubIssueTemplates.js";
import { blockGitHubPRTemplate } from "./blocks/blockGitHubPRTemplate.js";
import { blockMain } from "./blocks/blockMain.js";
import { blockMITLicense } from "./blocks/blockMITLicense.js";
import { blockSecurityDocs } from "./blocks/blockSecurityDocs.js";
import { blockTemplatedWith } from "./blocks/blockTemplatedWith.js";
import { blockTypeScript } from "./blocks/blockTypeScript.js";
import { presetMinimal } from "./presets/minimal.js";
import { presetCommon } from "./presets/common.js";
import { blockESLintComments } from "./blocks/blockESLintComments.js";
import { blockESLintJSDoc } from "./blocks/blockESLintJSDoc.js";
import { blockESLintJSONC } from "./blocks/blockESLintJSONC.js";
import { blockESLintMarkdown } from "./blocks/blockESLintMarkdown.js";
import { blockESLintNode } from "./blocks/blockESLintNode.js";
import { blockESLintPackageJson } from "./blocks/blockESLintPackageJson.js";
import { blockESLintPerfectionist } from "./blocks/blockESLintPerfectionist.js";
import { blockESLintRegexp } from "./blocks/blockESLintRegexp.js";
import { blockESLintYML } from "./blocks/blockESLintYML.js";
import { blockNvmrc } from "./blocks/blockNvmrc.js";
import { blockOctoGuideStrict } from "./blocks/blockOctoGuideStrict.js";
import { blockPnpmDedupe } from "./blocks/blockPnpmDedupe.js";
import { blockPrettierPluginCurly } from "./blocks/blockPrettierPluginCurly.js";
import { blockPrettierPluginPackageJson } from "./blocks/blockPrettierPluginPackageJson.js";
import { blockPrettierPluginSh } from "./blocks/blockPrettierPluginSh.js";
import { blockRenovate } from "./blocks/blockRenovate.js";
import { presetEverything } from "./presets/everything.js";
import { template } from "./template.js";
import { blocks } from "./blocks/index.js";
import { presets } from "./presets/index.js";

//#region src/index.ts
const { createConfig } = template;

//#endregion
export { base, blockAllContributors, blockAreTheTypesWrong, blockCSpell, blockCTATransitions, blockCodecov, blockContributingDocs, blockContributorCovenant, blockDevelopmentDocs, blockESLint, blockESLintComments, blockESLintJSDoc, blockESLintJSONC, blockESLintMarkdown, blockESLintMoreStyling, blockESLintNode, blockESLintPackageJson, blockESLintPerfectionist, blockESLintPlugin, blockESLintRegexp, blockESLintYML, blockFunding, blockGitHubActionsCI, blockGitHubIssueTemplates, blockGitHubPRTemplate, blockGitignore, blockKnip, blockMITLicense, blockMain, blockMarkdownlint, blockNcc, blockNvmrc, blockOctoGuide, blockOctoGuideStrict, blockPackageJson, blockPnpmDedupe, blockPrettier, blockPrettierPluginCurly, blockPrettierPluginPackageJson, blockPrettierPluginSh, blockREADME, blockReleaseIt, blockRenovate, blockSecurityDocs, blockTSDown, blockTemplatedWith, blockTypeScript, blockVSCode, blockVitest, blockWebExt, blocks, createConfig, presetCommon, presetEverything, presetMinimal, presets, template };
//# sourceMappingURL=index.js.map