import { swallowErrorAsync } from "../utils/swallowErrorAsync.js";
import { inputFromFileJSON } from "input-from-file-json";

//#region src/options/readWords.ts
async function readWords(take) {
	const cspell = await swallowErrorAsync(take(inputFromFileJSON, { filePath: "./cspell.json" })) || {};
	return cspell.words;
}

//#endregion
export { readWords };
//# sourceMappingURL=readWords.js.map